org.apache.sis.metadata.iso.citation

## Class DefaultSeries

- Object
- - AbstractMetadata
  - - ModifiableMetadata
    - - ISOMetadata
      - - DefaultSeries

- All Implemented Interfaces:
    Serializable, Cloneable, Emptiable, LenientComparable, IdentifiedObject, Series

      public class DefaultSeries
      extends ISOMetadata
      implements Series

  Information about the series, or aggregate dataset, to which a dataset belongs.

  Limitations:

  - Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
  - Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.
  Since:
    0.3
  See Also:
    Serialized Form

  Defined in the `sis-metadata` module

- - ### Field Summary

    - ### Fields inherited from class ISOMetadata

      `identifiers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSeries()` Constructs a default series.
    `DefaultSeries(CharSequence name)` Constructs a series with the specified name.
    `DefaultSeries(Series object)` Constructs a new instance initialized with the values from the specified metadata object.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DefaultSeries` | `castOrCopy(Series object)` Returns a SIS metadata implementation with the values of the given arbitrary implementation.
    `String` | `getIssueIdentification()` Returns information identifying the issue of the series.
    `InternationalString` | `getName()` Returns the name of the series, or aggregate dataset, of which the dataset is a part.
    `String` | `getPage()` Returns details on which pages of the publication the article was published.
    `void` | `setIssueIdentification(String newValue)` Sets information identifying the issue of the series.
    `void` | `setName(InternationalString newValue)` Sets the name of the series, or aggregate dataset, of which the dataset is a part.
    `void` | `setPage(String newValue)` Sets details on which pages of the publication the article was published.

    - ### Methods inherited from class ISOMetadata

      `freeze, getIdentifierMap, getIdentifiers, getStandard`

    - ### Methods inherited from class ModifiableMetadata

      `checkWritePermission, clone, collectionType, copyCollection, copyList, copySet, isModifiable, nonNullCollection, nonNullList, nonNullSet, singleton, unmodifiable, writeCollection, writeList, writeSet`

    - ### Methods inherited from class AbstractMetadata

      `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

    - ### Methods inherited from class Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultSeries

          public DefaultSeries()

      Constructs a default series.

    - #### DefaultSeries

          public DefaultSeries(CharSequence name)

      Constructs a series with the specified name.
      Parameters:
        `name` - the name of the series of which the dataset is a part, or `null`.

    - #### DefaultSeries

          public DefaultSeries(Series object)

      Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the metadata to copy values from, or `null` if none.
      See Also:
        `castOrCopy(Series)`

  - ### Method Detail

    - #### castOrCopy

          public static DefaultSeries castOrCopy(Series object)

      Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
      - If the given object is `null`, then this method returns `null`.
      - Otherwise if the given object is already an instance of `DefaultSeries`, then it is returned unchanged.
      - Otherwise a new `DefaultSeries` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the object to get as a SIS implementation, or `null` if none.
      Returns:
        a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.

    - #### getName

          public InternationalString getName()

      Returns the name of the series, or aggregate dataset, of which the dataset is a part.
      Specified by:
        `getName` in interface `Series`
      Returns:
        the name of the series or aggregate dataset, or `null`.

    - #### setName

          public void setName(InternationalString newValue)

      Sets the name of the series, or aggregate dataset, of which the dataset is a part.
      Parameters:
        `newValue` - the new name, or `null` if none.

    - #### getIssueIdentification

          public String getIssueIdentification()

      Returns information identifying the issue of the series.
      Upcoming API change — generalization
      As of ISO 19115:2014, `String` is replaced by the `InternationalString` interface. This change will be tentatively applied in GeoAPI 4.0.
      Specified by:
        `getIssueIdentification` in interface `Series`
      Returns:
        information identifying the issue of the series, or `null`.

    - #### setIssueIdentification

          public void setIssueIdentification(String newValue)

      Sets information identifying the issue of the series.
      Upcoming API change — generalization
      As of ISO 19115:2014, `String` is replaced by the `InternationalString` interface. This change will be tentatively applied in GeoAPI 4.0.
      Parameters:
        `newValue` - the new issue identification, or `null` if none.

    - #### getPage

          public String getPage()

      Returns details on which pages of the publication the article was published.
      Upcoming API change — generalization
      As of ISO 19115:2014, `String` is replaced by the `InternationalString` interface. This change will be tentatively applied in GeoAPI 4.0.
      Specified by:
        `getPage` in interface `Series`
      Returns:
        details on which pages of the publication the article was published, or `null`.

    - #### setPage

          public void setPage(String newValue)

      Sets details on which pages of the publication the article was published.
      Upcoming API change — generalization
      As of ISO 19115:2014, `String` is replaced by the `InternationalString` interface. This change will be tentatively applied in GeoAPI 4.0.
      Parameters:
        `newValue` - the new page, or `null` if none.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.